Changes between Version 17 and Version 18 of java


Ignore:
Timestamp:
Oct 22, 2010 2:26:53 AM (9 years ago)
Author:
zzz
Comment:

pack200

Legend:

Unmodified
Added
Removed
Modified
  • java

    v17 v18  
    88|| Sun 7
    99|| GCJ (compiled to C)|| yes || all but console || very poor
    10 || GCJ-JRE (gij-4.4)|| yes || yes for I2P releases through 0.8, if you supply the Pack200 jar || poor, not recommended
     10|| GCJ-JRE (gij-4.4)|| yes || yes for I2P releases through 0.8, if you supply the Pack200 jar - see note below || poor, not recommended
    1111|| Iced Tea 5 || || ||
    12 || Iced Tea 6 || yes || yes (no on PPC "1.6.0_18" OpenJDK Runtime Environment (IcedTea6 1.8) - missing Pack200 - see http://forum.i2p/viewtopic.php?t=4655 ) || good
     12|| Iced Tea 6 || yes || yes (no on PPC "1.6.0_18" OpenJDK Runtime Environment (IcedTea6 1.8) - missing Pack200 - see http://forum.i2p/viewtopic.php?t=4655 ) - see note below || good
    1313|| Iced Tea 7 || yes || yes || good
    1414|| Open JDK 5 || || || 
     
    3636
    3737Note that as of I2P release 0.8.1, a 1.6 or higher compatible SDK is required to compile I2P. 1.5 or higher compatible JRE is still required to run I2P.
     38
     39-------
     40
     41Pack200 note: you can get a free version of pack200.jar from the Apache Harmony package; if you install the Harmony SDK on Ubuntu, the file will be at /usr/lib/harmony-5.0/jdk/jre/lib/boot/pack200.jar; copy it to your JRE's library directory